# DocumentClassicScannerConfiguration class

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

DocumentClassicScannerConfiguration.new({bool? ignoreOrientationMismatch, bool? detectDocumentAfterSnap = false, bool autoSnapEnabled = false, double? acceptedAngleScore, double? acceptedSizeScore, List<PageAspectRatio>? requiredAspectRatios, double? autoSnapSensitivity, Size? originalImageSizeLimit, Size? documentImageSizeLimit})

## Properties

acceptedAngleScore ↔ double?
  The minimum score in percent (0 - 100) of the perspective distortion to accept a detected document. Default is 75.0.
  getter/setter pair
acceptedSizeScore ↔ double?
  The minimum document width or height in percent (0 - 100) of the screen size to accept a detected document. Default is 80.0.
  getter/setter pair
autoSnapEnabled ↔ bool
  Whether the auto-snapping after successful document detection is enabled or not.
  getter/setter pair
autoSnapSensitivity ↔ double?
  Changes sensitivity of auto-snapping. That is: the more sensitive it is the faster it shoots. This parameter only works when `barcodeImageGenerationType = BarcodeImageGenerationType.CAPTURED_IMAGE` Sensitivity must be within (0..1) range. A value of 1.0 triggers automatic capturing immediately, a value of 0.0 delays the automatic capturing by 3 seconds.
  getter/setter pair
detectDocumentAfterSnap ↔ bool?
  Should detect document after snap? If true it will run document detection on Original image and will create document image Default - false
  getter/setter pair
detectorType → DetectorType
  final
documentImageSizeLimit ↔ Size?
  documentImageSizeLimit the maximum size of the cropped document image to be saved. If the image is larger than the specified size it will be downscaled. If originalImageSizeLimit is set it also limits the size of the cropped document image. By default not specified.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
ignoreOrientationMismatch ↔ bool?
  getter/setter pair
originalImageSizeLimit ↔ Size?
  originalImageSizeLimit the maximum size of the original image to be saved. If the original image is larger than the specified size it will be downscaled. By default not specified.
  getter/setter pair
requiredAspectRatios ↔ List<PageAspectRatio>?
  Expected aspect ratios of the document. If the document has a different aspect ratio it will be rejected.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited